// Cargamos el módulo de MongoDB
const mongoose = require('mongoose');
const Schema = mongoose.Schema;

// Definimos el schema para una colección llamada Producto
let ProductoSchema = new Schema({
    nombre: {type: String, required: true, max: 100},
    precio: {type: Number, required: true},
});

// Exportamos el modelo
module.exports = mongoose.model('Producto', ProductoSchema);
