$(function()
{
    $("#formModif1").submit(function(evento)
    {
        evento.preventDefault();

        // Vamos a usar el método $.ajax por que aunque podríamos usar $.get, no tenemos acceso al código 404 cuando no encuentra un producto, por eso usamos $.ajax.

        var id_seleccionado=$("#id option:selected").val();

        $.ajax({
            url: "/api/v1/productos/"+id_seleccionado,
            type: 'GET',
            success: function(respuesta,textStatus,request) {
                if (request.status==200)
                {
                   console.log(respuesta);
                   $('#formModif1').hide();
                   $("#formModif2 #nombre").val(respuesta.data.nombre);
                   $("#formModif2 #precio").val(respuesta.data.precio);
                   $("#formModif2 #_id").val(respuesta.data._id);
                   $('#formModif2').css('visibility', 'visible');
               }
           },
           error: function (xhr,ajaxOptions,error)
           {
            if (xhr.status==404)
            {
                $("#resultado").html('').hide().addClass("alert alert-danger").attr("role","alert").html('No se ha encontrado el producto seleccionado!').fadeIn(1000).delay(1000).fadeOut(1000);
            }
        }
    });
    });



    $("#formModif2").submit(function(evento)
    {
        evento.preventDefault();

        // Vamos a usar el método $.ajax por que aunque podríamos usar $.get, no tenemos acceso al código 404 cuando no encuentra un producto, por eso usamos $.ajax.

        var id_seleccionado=$("#formModif2 #_id").val();

        $.ajax({
            url: "/api/v1/productos/"+id_seleccionado,
            type: 'PUT',
            data: {"nombre": $("#formModif2 #nombre").val(), "precio":$("#formModif2 #precio").val()},
            success: function(respuesta,textStatus,request) {
                if (request.status=='200')
                {
                    $("#formModif2").hide();
                    $("#resultado").html('').hide().addClass("alert alert-success").attr("role","alert").html('Se han actualizado los datos correctamente').fadeIn(1000).delay(1000).fadeOut(1000);
                }
            },
            error: function (xhr,ajaxOptions,error)
            {
                if (xhr.status==404)
                {
                    $("#resultado").html('').hide().addClass("alert alert-danger").attr("role","alert").html('No se ha encontrado el producto indicado!').fadeIn(1000).delay(1000).fadeOut(1000);
                }
            }
        });
    });

});
