$(function()
{
    $("#formulario").submit(function(evento)
    {
        evento.preventDefault();

        // Debido a que no tenemos un método rápido como $.post para hacer una petición de tipo DELETE
        // tenemos que usar $.ajax para realizar dicha petición:

        var id_seleccionado=$("#id option:selected").val();

        $.ajax({
            url: "/api/v1/productos/"+id_seleccionado,
            type: 'DELETE',
            success: function(data,textStatus,request) {
                if (request.status==204)
                {
                    $("#id option:selected").remove();
                    $("#resultado").html('').hide().addClass("alert alert-success").attr("role","alert").html("Producto borrado correctamente").fadeIn(1000).delay(1000).fadeOut(1000);
                }
            },
            error: function (xhr,ajaxOptions,error)
            {
                if (xhr.status==404)
                {
                    $("#resultado").html('').hide().addClass("alert alert-danger").attr("role","alert").html('No se ha encontrado el producto seleccionado!').fadeIn(1000).delay(1000).fadeOut(1000);
                }
            }
        });
    });
});
